<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="CSD POPS"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <nav class="content display-tabs communication-state hide-false">
        <ul>
            <li><button display="#{{uid}} .tab-status">Status</button></li>
            <li><button display="#{{uid}} .tab-distribution">Size Distribution</button></li>
        </ul>
    </nav>

    <table class="content display-data communication-state hide-false tab-status">
        <tbody>
            <tr>
                <td>Concentration (cm⁻³)</td>       <td class="value-formatted" field="N" rightpad="1"></td>
                <td>Count rate (Hz)</td>            <td class="value-formatted" field="C" decimals="0" rightpad="4"></td>
            </tr>
            <tr>
                <td>Peak width</td>                 <td class="value-formatted" field="peak_width" decimals="2"></td>
                <td>Flow (lpm)</td>                 <td class="value-formatted" field="Q" decimals="3"></td>
            </tr>
            <tr>
                <td>Pressure sensor (°C)</td>       <td class="value-formatted" field="Tpressure" rightpad="1"></td>
                <td>Board pressure (hPa)</td>       <td class="value-formatted" field="P" rightpad="2"></td>
            </tr>
            <tr>
                <td>Internal (°C)</td>              <td class="value-formatted" field="Tinternal" rightpad="1"></td>
                <td>Supply (V)</td>                 <td class="value-formatted" field="Vsupply" rightpad="2"></td>
            </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false tab-status">
        <thead>
            <tr> <th colspan="4">Laser</th> </tr>
        </thead>
        <tbody>
            <tr>
                <td>Monitor</td>                    <td class="value-formatted" field="laser_monitor" decimals="0" rightpad="3"></td>
                <td>Current (mA)</td>               <td class="value-formatted" field="Alaser" decimals="2" rightpad="1"></td>
            </tr>
            <tr>
                <td>Temperature (°C)</td>           <td class="value-formatted" field="Tlaser" rightpad="1"></td>
                <td>Feedback</td>                   <td class="value-formatted" field="laser_feedback" decimals="0" rightpad="4"></td>
            </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false tab-status">
        <thead>
            <tr> <th colspan="4">Baseline</th> </tr>
        </thead>
        <tbody>
            <tr>
                <td>Value</td>                      <td class="value-formatted" field="baseline" decimals="0" rightpad="3"></td>
                <td>Standard deviation</td>        <td class="value-formatted" field="baseline_stddev" decimals="0" rightpad="4"></td>
            </tr>
            <tr>
                <td>Threshold</td>                  <td class="value-formatted" field="baseline_threshold" decimals="0" rightpad="3"></td>
                <td>Max standard deviation</td>     <td class="value-formatted" field="baseline_stddevmax" decimals="0" rightpad="4"></td>
            </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false tab-status">
        <thead>
            <tr> <th colspan="4">Pump</th> </tr>
        </thead>
        <tbody>
            <tr>
                <td>On time (h)</td>                <td class="value-formatted" field="pump_on_time" decimals="2"></td>
                <td>Feedback</td>                   <td class="value-formatted" field="pump_feedback" decimals="0" rightpad="4"></td>
            </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state hide-false tab-distribution">
        <div id="{{uid}}_size_distribution"></div>
    </div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="too_many_particles">Too many particles present for accurate counting due to coincidence</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="timing_uncertainty">High uncertainty in timing (10-20 microseconds)</div>

</div>

<style>
#{{uid}} .warning { color: #f80; }
#{{uid}} table.display-data > tbody > tr td:nth-child(odd) { min-width: 200px; }
</style>

<script>
(function() {
    {% include 'acquisition/display/tab_contents.js' %}
})();
(function() {

    const context = document.getElementById('{{uid}}').context;
    context.standardMode();

    // {{ '\n' }}{% include 'acquisition/display/size_distribution.js' %}
})();
</script>